export interface Config {
    startOfStringBonus?: number | boolean;
    startOfWordBonus?: number | boolean;
    allowErrors?: number | boolean;
    matchProportionBonus?: number | boolean;
    smartCase?: number | boolean;
    allowWordsOutOfOrder?: number | boolean;
    markBefore?: string;
    markAfter?: string;
    escape?: boolean;
    deburr?: boolean;
    multipart?: boolean;
}
declare type Index = number;
declare type From = Index;
declare type To = Index;
export declare type Span = [From, To] | Index;
export interface Match {
    spans: Span[];
    score: number;
    marked: string;
}
export declare class Search {
    private readonly config;
    private searchTerm;
    private sensitive;
    private multipartRe;
    constructor(config?: Config);
    term(searchTerm: string): Search;
    in(str: string): Match;
    private multipartSpans;
    private mark;
}
export {};
